<?php
/**********************************************************************/
# Title: MW- ver. 4.1
# Copyright By  Moy-weB  (http://moyweb.moy.su)
# Изготовлениш шаблонов (скинов), разработка дизайна, написание скриптов
# Версия для Lineage-II
# Corsar, I-Andi (2009)
/**********************************************************************/
require_once("header.php");
echo '
<br>
<h3>Список картинок:</h3><hr><center>
<br><br><b>Список картинок:</b>
<table width=100% border=1>
<tr>
    <td width=100 align=center><strong>Картинка</strong></td>
	<td width=150 align=center><strong>Имя файла</strong></td>
	<td width=100 align=center><strong>Ссылка</strong></td>
	<td width=100 align=center><strong>Удалить</strong></td>
	<td width=150 align=center><strong>Размер</strong></td>
</tr>';

  $site="http://".$_SERVER['SERVER_NAME'];
  $dir = opendir ("../data/images");
  while ( $file = readdir ($dir))
  {
    if ($file != "." && $file != ".." && $file != ".htaccess" && $file != "Thumbs.db")
    {
     $size = GetImageSize("$site/data/images/$file"); 
	echo " <tr onmouseover=\"fileOver(this,true,'',0)\" onmouseout=\"fileOut(this,true,'',0)\">
  	<td  bgcolor=#FFFFFF style=padding:5px; align=center>
    <a href=\"#\" onclick=\"return wrapContent(event, '$site/data/images/$file', 0, 0,'$file ','','jpg',$size[0])\">
 	<img alt=\"Preview\" src=\"images/vs.png\" title=\"Просмотр\"></a>
	</td>
	<td bgcolor=#FFFFFF align=center>$file</td> 
    <td  bgcolor=#FFFFFF align=center><a href='#' onclick=\"prompt('Ссылка на картинку','$site/data/images/$file'); return false;\"><img border=0 src=images/link.png title='Получить код'></a></td> 
	<td  bgcolor=#FFFFFF align=center><a href='upload2.php?remove=$file'><img border=0 src=images/remove.png title='Удалить картинку'></a></td>	 
	<td  bgcolor=#FFFFFF align=center>$size[3]</td>
	</tr>";
	  
    }
  }
  echo '</table>';
  closedir ($dir);
echo '<br><br>';
if ($_GET['remove'])
{
unlink("../data/images/".$_GET['remove']); 
echo "Файл \"<font color='#FF0000'>".$_GET['remove']."</font>\" успешно удален<br><br>";
}
	echo '<form action="upload2.php" method="post" enctype="multipart/form-data">';
	echo 'Выберите картинку: <input type="file" name="FILE" size="17" />&nbsp;&nbsp;';
	echo '<br><input type="submit" value="загрузить">';
	echo '</form>';
require_once("footer.php");	
?>
 